glibmm 2.56.0

Public Member Functions | Protected Member Functions | List of all members
Glib::SignalProxyDetailed Class Reference

The SignalProxy provides an API similar to sigc::signal that can be used to connect sigc::slots to glib signals. More...

`#include <glibmm/signalproxy.h>`

Inheritance diagram for Glib::SignalProxyDetailed:
[legend]

## Public Member Functions
| ~SignalProxyDetailed () noexcept
void | emission_stop ()
| Stops the current signal emission (not in libsigc++) More...
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase* obj)

## Protected Member Functions
| SignalProxyDetailed (Glib::ObjectBase* obj, const SignalProxyInfo* info, const Glib::ustring& detail_name)
| Creates a proxy for a signal that can be emitted by obj. More...
sigc::slot_base& | connect_impl_ (bool notify, const sigc::slot_base& slot, bool after)
| Connects a signal handler to a signal. More...
sigc::slot_base& | connect_impl_ (bool notify, sigc::slot_base&& slot, bool after)
| Connects a signal handler to a signal. More...

## Additional Inherited Members
Protected Attributes inherited from Glib::SignalProxyBase
ObjectBase* | obj_

## Detailed Description

The SignalProxy provides an API similar to sigc::signal that can be used to connect sigc::slots to glib signals.

This holds the name of the glib signal, including the detail name if any, and the object which might emit it. Actually, proxies are controlled by the template derivatives, which serve as gatekeepers for the types allowed on a particular signal.

## Constructor & Destructor Documentation

## ◆ ~SignalProxyDetailed()

Glib::SignalProxyDetailed::~SignalProxyDetailed | ( |  | ) |
| noexcept

## ◆ SignalProxyDetailed()

Glib::SignalProxyDetailed::SignalProxyDetailed | ( | Glib::ObjectBase* | obj,
|  | const SignalProxyInfo * | info,
|  | const Glib::ustring& | detail_name
| ) |  |
| protected

Creates a proxy for a signal that can be emitted by obj.

Parameters

  obj | The object that can emit the signal.
  info | Information about the signal, including its name and the C callbacks that should be called by glib.
  detail_name | The detail name, if any.

## Member Function Documentation

## ◆ connect_impl_() [1/2]

sigc::slot_base& Glib::SignalProxyDetailed::connect_impl_ | ( | bool | notify,
|  | const sigc::slot_base & | slot,
|  | bool | after
| ) |  |
| protected

Connects a signal handler to a signal.

This is called by connect() and connect_notify() in derived SignalProxyDetailedAnyType classes.

Parameters

  notify | Whether this method is called by connect_notify() or by connect().
  slot | The signal handler, usually created with sigc::mem_fun() or sigc::ptr_fun().
  after | Whether this signal handler should be called before or after the default signal handler.

## ◆ connect_impl_() [2/2]

sigc::slot_base& Glib::SignalProxyDetailed::connect_impl_ | ( | bool | notify,
|  | sigc::slot_base && | slot,
|  | bool | after
| ) |  |
| protected

Connects a signal handler to a signal.

See also
  connect_impl_(bool notify, const sigc::slot_base& slot, bool after).

Since glibmm 2.48:

## ◆ emission_stop()

void Glib::SignalProxyDetailed::emission_stop | ( |  | ) |

Stops the current signal emission (not in libsigc++)